Question

Deployment manager

Hi team we are imported PegaDevOpsFoundation_4.zip file into our PEGA 8.1 and followed installation steps using Installing Deployment Manager. After imported, I am unable to find out the below mention operators

  • The Pega Deployment Manager application.
  • The DMReleaseAdmin operator ID, which release managers use to log in to the Pega Deployment Manager application. You must enable this operator ID and specify its password.
  • The DMAppAdmin authentication profile. The orchestration server uses this authentication profile to communicate with candidate systems so that it can run tasks in the pipeline. You must update this authentication profile to use the password that you specified for the DMAppAdmin operator ID, which is configured on all the candidate systems.

***Edited by Moderator: Lochan to update platform capability tags***

Comments

Keep up to date on this post and subscribe to comments

July 19, 2019 - 7:25am

By default, these operators are disabled due to security reasons. You should go to Org & Security>>Authentication>>Operator Access screen to enable and update password as needed.

August 15, 2019 - 5:24pm

Please follow the install guide for complete instructions : Step 3a: Configuring authentication profiles on the orchestration server and candidate systems

 

August 21, 2019 - 10:58am

Hi All,

Can anyone share the  DeploymentManager_02.0x.0x.zip file  to install Deployment Manager on Pega 7.3.1 version.

August 21, 2019 - 11:20am
Response to AnkeshK8

Ankesh, we no longer support the older versions of Deployment Manager and hence is not available for download. The earliest version we support now is 3.4 for Platform 7.4, however our recommendation will be to try and get to the latest Deployment Manager 4.x version which is regularly updated.

 

August 21, 2019 - 2:50pm
Response to Linoy Alexander

Thanks for the reply alex. But we are using pega 7.3.1 and we installed DM:02-01-03 in one of the candidate systems. Now we need to deploy it in other candidate systems.

Upgarding to pega platform 7.4 is the only option in this case? Please recommend 

August 23, 2019 - 11:23pm
Response to AnkeshK8

If you already have DM 2.1, then you perhaps you already have the existing DM package you can install.  However if you have the option, our recommendation would be to upgrade if you can. As noted Version 2.1 has no additional support, but there have  has continuous releases for the newer versions with a lot of useful features.